%define ver      0.7.0
%define rel      1
%define prefix   /usr

Summary: Recite Word Easily.
Name: reciteword
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Productivity
Source: reciteword-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

URL: http://reciteword.cosoft.org.cn

Requires: gtk2 >= 2.0
Requires: esound >= 0.2.28

%description
ReciteWord is a education software to help people to study English,recite words.

%prep
%setup

%build
if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix
fi

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/bin/reciteword
%{prefix}/local/reciteword
%{prefix}/share/locale/*/LC_MESSAGES/reciteword.mo
%{prefix}/share/applications/reciteword.desktop
%{prefix}/share/pixmaps/reciteword.png
